QGIS Application - Bug report #19101
Scale bar in Layout always opens at height of 11.9 mm
2018-06-03 03:44 PM - Patrick Dunford

Status: Open

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.6 Regression?: Yes
Operating System: Ubuntu 18.04 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26931
Description

On my print composer (Layout as it is now called) the scale bar was set at a height of 7.1 mm at the bottom of the page. This size never
changed in the 2.18 print composer. Now in 3.0, each time | open this layout, the scale bar always opens to a height of 11.9 mm.

History

#1 - 2018-10-22 04:50 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you share an example project?

#2 - 2018-11-09 07:22 AM - Raymond Nijssen

- File scalebar_size.qgz added

- Affected QGIS version changed from 3.0.3 to 3.4.0

Nyall Dawson wrote:

Can you share an example project?

Attached project has a layout with a numeric scalebar with bounding box set to the guides (40x5mm). After reloading the project, the scalebar's width and
height are changed (to 13.889x12.000mm).

#3 - 2018-11-09 09:57 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2019-01-03 06:18 PM - Steve Lowman

- File Numeric_Scale _Bar_Height Issue2.qpt added

In Line 49 of the attached "Numeric_Scale_Bar_Height_Issue.qpt", there is a numeric scale bar defined with size="16.1,7,mm". This should mean the

height is 7mm, but when you add this into a QGIS 3 project, the numeric scale bar height is changed to 12.2 mm.

I have not tested every type of scale bar, but this seems to be a consistent issue with the numeric ones.

In a new .qgs file, do the following:
1. Add a new scale bar

2. Change it to Numeric

3. Change the height to 7 mm

4. Save the .gpt template

5. Close the Layout

6. Add the saved .qpt template

7. Observe the numeric scale bar height (will be increased from 7, possibly to 12.2)

8. The .qpt code still says 7 mm, but the QGIS 3 layout window is ignoring or misreading this.

#5 - 2019-02-27 05:27 PM - Steve Lowman

| suggest that Regression should be set to 'Yes' for this one, because it was not an issue in QGIS 2.18, but it is in QGIS 3.4.

Also, | can confirm it is still an issue in 3.4.5, and it is not specific to Ubuntu, as | am finding it also in Windows 10.
Perhaps also, the bug report title may be a bit too precise. | think it seems to generally be greater height than you set it to, but not necessarily 11.9 mm.

#6 - 2019-03-01 08:16 PM - Giovanni Manghi

- Priority changed from Normal to High

- Affected QGIS version changed from 3.4.0 to 3.4.5
- Regression? changed from No to Yes

#7 - 2019-04-02 01:16 PM - Steve Lowman

| confirm this is still a bug in QGIS 3.4.6.

#8 - 2019-04-02 01:18 PM - Giovanni Manghi
- Affected QGIS version changed from 3.4.5 to 3.4.6

Files
scalebar_size.qgz 4.6 KB 2018-11-09 Raymond Nijssen
Numeric_Scale_Bar_Height_lssue2.qpt 5.41 KB 2019-01-03 Steve Lowman
